;; -*-emacs-lisp-*-
;;
;; Emacs startup file for the Debian GNU/Linux initz package
;;
;; Originally contributed by Nils Naumann <naumann@unileoben.ac.at>
;; Modified by Dirk Eddelbuettel <edd@debian.org>
;; Adapted for dh-make by Jim Van Zandt <jrv@vanzandt.mv.com>

;; The initz package follows the Debian/GNU Linux 'emacsen' policy and
;; byte-compiles its elisp files for each 'emacs flavor' (emacs19,
;; xemacs19, emacs20, xemacs20...).  The compiled code is then
;; installed in a subdirectory of the respective site-lisp directory.
;; We have to add this to the load-path:

(unless noninteractive
  (if (not (file-exists-p "/usr/share/emacs/site-lisp/initz"))
      (message "Package initz removed but not purged.  Skipping setup.")
    (debian-pkg-add-load-path-item
     (concat "/usr/share/" (symbol-name debian-emacs-flavor)
	     "/site-lisp/initz"))

    (autoload 'initz-startup "initz" nil t)
    (autoload 'initz-add-to-load-path "initz" nil t)
    ;; Don't touch manually the following line which is modified by debconf.
    ;; If you want to edit it, use `dpkg-reconfigure'.
    (let ((systemwide 'true))
      (when (eq systemwide 'true)
	(add-hook 'after-init-hook 'initz-startup)))))
